---
title: EXT_disjoint_timer_query.getQueryEXT()
slug: Web/API/EXT_disjoint_timer_query/getQueryEXT
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>EXT_disjoint_timer_query.getQueryEXT()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns information about a query target.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">any <var>ext</var>.getQueryEXT(<var>target</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>target</dt>
 <dd>A {{domxref("GLenum")}} specifying the target of the time query. Must be <code>ext.TIMESTAMP_EXT</code> or <code>ext.TIME_ELAPSED_EXT</code>.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to return. Must be <code>ext.CURRENT_QUERY_EXT</code> or <code>ext.QUERY_COUNTER_BITS_EXT</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on <code>pname</code>:</p>

<ul>
 <li>If <code>pname</code> is <code>ext.CURRENT_QUERY_EXT</code>: A {{domxref("WebGLTimerQueryEXT")}} object, which is the currently active query for the given target.</li>
 <li>If <code>pname</code> is <code>ext.QUERY_COUNTER_BITS_EXT</code>: A {{domxref("GLint")}} indicating the number of bits used to hold the query result for the given target.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var ext = gl.getExtension('EXT_disjoint_timer_query');
var startQuery = ext.createQueryEXT();
ext.queryCounterEXT(startQuery, ext.TIMESTAMP_EXT);

var currentQuery = ext.getQueryEXT(ext.TIMESTAMP_EXT,
                                   ext.CURRENT_QUERY_EXT);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EXT_disjoint_timer_query', '', 'EXT_disjoint_timer_query')}}</td>
   <td>{{Spec2('EXT_disjoint_timer_query')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.EXT_disjoint_timer_query.getQueryEXT")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLTimerQueryEXT")}}</li>
 <li>{{domxref("EXT_disjoint_timer_query")}}</li>
</ul>
